import os
from pathlib import Path


ROOT_DIR = Path(__file__).absolute().parent.parent
REQUEST_DIR = ROOT_DIR / "requests"
BENCHMARK_DIR = (Path(path) if (path:=os.environ.get("BENCHMARK_DIR")) is not None else None)

def validate_benchmark_dir():
    if BENCHMARK_DIR is None:
        raise EnvironmentError(
            "Please, set environment variable 'BENCHMARK_DIR'."
        )
    if not BENCHMARK_DIR.exists():
        raise FileNotFoundError(
            f"Environment variable BENCHMARK_DIR set to '{BENCHMARK_DIR}', "
            "but directory does not exist."
        )

